`crackplot` <-
function (crackpaths,cracks,cex.points=0.3,lwd.lines=2,col.points="red",
col.lines="yellow") 
{
# Adds the crack paths given in the list crackpaths to a plot
# and connects the start and points given by cracks by lines
# cex.points and col.points provides size and color of the points of the paths
# lwd.paths and col.lines provides the size and color of the lines
L<-length(crackpaths)
par(cex=cex.points)
for(l in 1:L){
  points(t(crackpaths[[l]]),pch=16,col=col.points)
}   
par(lwd=lwd.lines)
segments(cracks["Begin_x",],cracks["Begin_y",],
    cracks["End_x",],cracks["End_y",],col=col.lines)
}

